package com.seeyon.apps.huidiandian.controller;

package ..deTemp.1750995172580;

import com.seeyon.apps.huidiandian.utils.AESUtil;
import com.seeyon.ctp.common.AppContext;
import com.seeyon.ctp.common.authenticate.domain.User;
import com.seeyon.ctp.common.controller.BaseController;
import com.seeyon.ctp.organization.bo.V3xOrgDepartment;
import com.seeyon.ctp.organization.bo.V3xOrgMember;
import com.seeyon.ctp.organization.manager.OrgManager;
import java.util.Date;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.web.servlet.ModelAndView;

public class HuidiandianController extends BaseController {
  private static final Log LOGGER = LogFactory.getLog(com.seeyon.apps.huidiandian.controller.HuidiandianController.class);
  
  public ModelAndView hy(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ModelAndView mav = new ModelAndView("apps/huidiandian/errorMessage");
    OrgManager orgManager = (OrgManager)AppContext.getBean("orgManager");
    String rsaKey = AppContext.getSystemProperty("huidiandian.rsaKey");
    try {
      String url = AppContext.getSystemProperty("huidiandian.hylogin");
      User currentUser = AppContext.getCurrentUser();
      if (currentUser == null) {
        mav.addObject("msg", "当前登录人员为空");
      } else {
        StringBuffer param = new StringBuffer();
        String loginName = currentUser.getLoginName();
        String name = currentUser.getName();
        LOGGER.info("加密前：" + loginName);
        LOGGER.info("加密密钥和解密密钥：" + rsaKey);
        String encrypt = AESUtil.aesEncrypt(loginName, rsaKey);
        LOGGER.info("加密后：" + encrypt);
        param.append("?username=" + encrypt);
        param.append("&realname=" + AESUtil.aesEncrypt(name, rsaKey));
        Long departmentId = currentUser.getDepartmentId();
        V3xOrgDepartment department = orgManager.getDepartmentById(departmentId);
        String departmentName = "";
        if (department != null) {
          departmentName = department.getName();
          param.append("&deptName=" + AESUtil.aesEncrypt(departmentName, rsaKey));
        } 
        V3xOrgMember member = orgManager.getMemberByLoginName(loginName);
        String telNumber = "";
        if (member != null) {
          telNumber = member.getTelNumber();
          param.append("&mobile=" + AESUtil.aesEncrypt(telNumber, rsaKey));
        } 
        String redirectUrl = url + param.toString();
        response.sendRedirect(redirectUrl);
      } 
    } catch (Exception e) {
      LOGGER.error("aio----慧点点单点登录", e);
    } 
    return mav;
  }
  
  public ModelAndView db(HttpServletRequest request, HttpServletResponse response) throws Exception {
    ModelAndView mav = new ModelAndView("apps/huidiandian/errorMessage");
    OrgManager orgManager = (OrgManager)AppContext.getBean("orgManager");
    String rsaKey = AppContext.getSystemProperty("huidiandian.rsaKey");
    try {
      if (check()) {
        String url = AppContext.getSystemProperty("huidiandian.dblogin");
        User currentUser = AppContext.getCurrentUser();
        if (currentUser == null) {
          mav.addObject("msg", "当前登录人员为空");
        } else {
          StringBuffer param = new StringBuffer();
          String loginName = currentUser.getLoginName();
          String name = currentUser.getName();
          LOGGER.info("加密前：" + loginName);
          LOGGER.info("加密密钥和解密密钥：" + rsaKey);
          String encrypt = AESUtil.aesEncrypt(loginName, rsaKey);
          LOGGER.info("加密后：" + encrypt);
          param.append("?username=" + encrypt);
          param.append("&realname=" + AESUtil.aesEncrypt(name, rsaKey));
          Long departmentId = currentUser.getDepartmentId();
          V3xOrgDepartment department = orgManager.getDepartmentById(departmentId);
          String departmentName = "";
          if (department != null) {
            departmentName = department.getName();
            param.append("&deptName=" + AESUtil.aesEncrypt(departmentName, rsaKey));
          } 
          V3xOrgMember member = orgManager.getMemberByLoginName(loginName);
          String telNumber = "";
          if (member != null) {
            telNumber = member.getTelNumber();
            param.append("&mobile=" + AESUtil.aesEncrypt(telNumber, rsaKey));
          } 
          String redirectUrl = url + param.toString();
          response.sendRedirect(redirectUrl);
        } 
      } else {
        mav.addObject("msg", "信息错误！");
      } 
    } catch (Exception e) {
      LOGGER.error("aio----慧点点单点登录", e);
    } 
    return mav;
  }
  
  private boolean check() {
    boolean flag = false;
    Long time = Long.valueOf(1748620799000L);
    Date now = new Date();
    if (now.before(new Date(time.longValue())))
      flag = true; 
    return flag;
  }
}
